<?php

namespace dominion\settings\schema;

use GraphQL\Type\Definition\ObjectType;
use GraphQL\Type\Definition\Type;

class SettingsType extends ObjectType
{
    public function __construct()
    {
        $config = [
            'fields' => function() {
                return [
                    'id' => [
                        'type' => Type::int(),
                        'description' => 'Id',
                    ],
                    'code' => [
                        'type' => Type::string(),
                        'description' => 'code',
                    ],
                    'value' => [
                        'type' => Type::string(),
                        'description' => 'value',
                    ],
                ];
            }
        ];

        parent::__construct($config);
    }

}